<list-template titleList="Calle" #list [load]="service.loading | async" [service]="service">
  <ng-container content-type="search-filter">
    <search-bar [service]="service" [columns]="columns" [activeColumn]="columns[1]"></search-bar>
  </ng-container>
  <table class="table table-striped table-bordered">
    <thead [class.border-bottom]="service.loading | async">
      <tr>
        <th>Nombre</th>
        <th>Distancia</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let c of service.data">
        <td>{{ c.Nombre }}</td>
        <td>{{ c.Distancia || '--' }}</td>
        <td class="table-action">
          <button class="btn btn-sm btn-info" (click)="list.onEdit(c)">
            <i class="mdi mdi-lead-pencil"></i>
          </button>
          <button class="btn btn-sm btn-danger" (click)="list.onDelete(c)">
            <i class="mdi mdi-delete"></i>
          </button>
        </td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
          <td colspan="99" *ngIf="service.data.length === 0 && (service.loading | async) == false">
              No Hay Registros
          </td>
      </tr>
    </tfoot>
  </table>
</list-template>

<ng-template #form>
  <app-calle-form></app-calle-form>
</ng-template>
